# ApplicationFramework
PTKernel
PColStd

# PColStd_VArrayNodeOfFieldOfHArray1OfInteger Class Reference

`#include <PColStd_VArrayNodeOfFieldOfHArray1OfInteger.hxx>`

Inheritance diagram for PColStd_VArrayNodeOfFieldOfHArray1OfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | PColStd_VArrayNodeOfFieldOfHArray1OfInteger ()
Standard_EXPORT | PColStd_VArrayNodeOfFieldOfHArray1OfInteger (const Standard_Integer &aValue)
Standard_EXPORT void | SetValue (const Standard_Integer &aValue)
Standard_EXPORT Standard_Address | Value () const
| PColStd_VArrayNodeOfFieldOfHArray1OfInteger (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColStd_VArrayNodeOfFieldOfHArray1OfIntegermyValue () const
void | _CSFDB_SetPColStd_VArrayNodeOfFieldOfHArray1OfIntegermyValue (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_VArrayNodeOfFieldOfHArray1OfInteger::PColStd_VArrayNodeOfFieldOfHArray1OfInteger | ( |  | ) |

Standard_EXPORT PColStd_VArrayNodeOfFieldOfHArray1OfInteger::PColStd_VArrayNodeOfFieldOfHArray1OfInteger | ( | const Standard_Integer & | aValue | ) |

PColStd_VArrayNodeOfFieldOfHArray1OfInteger::PColStd_VArrayNodeOfFieldOfHArray1OfInteger | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PColStd_VArrayNodeOfFieldOfHArray1OfInteger::_CSFDB_GetPColStd_VArrayNodeOfFieldOfHArray1OfIntegermyValue | ( |  | ) | const`[inline]`

void PColStd_VArrayNodeOfFieldOfHArray1OfInteger::_CSFDB_SetPColStd_VArrayNodeOfFieldOfHArray1OfIntegermyValue | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT const PColStd_VArrayNodeOfFieldOfHArray1OfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PColStd_VArrayNodeOfFieldOfHArray1OfInteger::SetValue | ( | const Standard_Integer & | aValue | ) |

Standard_EXPORT Standard_Address PColStd_VArrayNodeOfFieldOfHArray1OfInteger::Value | ( |  | ) | const

## Field Documentation

Standard_Integer PColStd_VArrayNodeOfFieldOfHArray1OfInteger::myValue `[private]`

The documentation for this class was generated from the following file:

- PColStd_VArrayNodeOfFieldOfHArray1OfInteger.hxx